package com.huatek.busi.dao;

import org.springframework.stereotype.Repository;
import org.springframework.util.StringUtils;

import com.huatek.busi.entity.BusiOfflineTransformerRepair;
import com.huatek.torch.sql.dao.impl.BaseDao;
import com.huatek.torch.util.uuid.Uuid;

/**
 * 变压器检修记录 Dao
 *
 * @author anker_cheng
 * @date Jul 4, 2019 2:00:00 PM
 */
@Repository
public class  BusiOfflineTransformerRepairDao extends BaseDao<BusiOfflineTransformerRepair, String> {

    public int saveOrUpdate(BusiOfflineTransformerRepair entity) {
        if(StringUtils.isEmpty(entity.getId())) {
            entity.setId(Uuid.getUUID());
            return this.add(entity);
        }
        return this.updateLocal(entity);
    }
}

